## org.eclipse.emf.codegen.ecore.templates.model.tests
Class BuildProperties

    java.lang.Object
      org.eclipse.emf.codegen.ecore.templates.model.tests.BuildProperties

    public class BuildProperties

extends java.lang.Object

Field Summary
`protected static java.lang.String` `nl`
`java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_10`
`protected java.lang.String` `TEXT_11`
`protected java.lang.String` `TEXT_12`
`protected java.lang.String` `TEXT_13`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_3`
`protected java.lang.String` `TEXT_4`
`protected java.lang.String` `TEXT_5`
`protected java.lang.String` `TEXT_6`
`protected java.lang.String` `TEXT_7`
`protected java.lang.String` `TEXT_8`
`protected java.lang.String` `TEXT_9`

Constructor Summary
`BuildProperties()`

Method Summary
`static BuildProperties` `create(java.lang.String lineSeparator)`
`java.lang.String` `generate(java.lang.Object argument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nl

    protected static java.lang.String nl

### NL

    public final java.lang.String NL

### TEXT_1

    protected final java.lang.String TEXT_1

See Also:
  Constant Field Values

### TEXT_2

    protected final java.lang.String TEXT_2

### TEXT_3

    protected final java.lang.String TEXT_3

See Also:
  Constant Field Values

### TEXT_4

    protected final java.lang.String TEXT_4

### TEXT_5

    protected final java.lang.String TEXT_5

See Also:
  Constant Field Values

### TEXT_6

    protected final java.lang.String TEXT_6

### TEXT_7

    protected final java.lang.String TEXT_7

### TEXT_8

    protected final java.lang.String TEXT_8

### TEXT_9

    protected final java.lang.String TEXT_9

### TEXT_10

    protected final java.lang.String TEXT_10

See Also:
  Constant Field Values

### TEXT_11

    protected final java.lang.String TEXT_11

### TEXT_12

    protected final java.lang.String TEXT_12

See Also:
  Constant Field Values

### TEXT_13

    protected final java.lang.String TEXT_13

Constructor Detail

### BuildProperties

    public BuildProperties()

Method Detail

### create

    public static BuildProperties create(java.lang.String lineSeparator)

### generate

    public java.lang.String generate(java.lang.Object argument)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.